#include "stdlib.h"
#include "math.h"
#include "string.h"
#include <seplib.h>
#include <sep3dc.h>


#define xmax(a,b) ((a)>(b)?(a):(b))
#define xmin(a,b) ((a)<(b)?(a):(b))
#define xbound(a1,a,a2) (xmin( (xmax((a1),(a))),(a2) ))
int main(int argc, char** argv)
{
    int ndim,n,flag;
    float o,d;
    char filename[256],str1[100],strx[100],strz[100];
    int   n1, n2;
    float o1, o2;
    float d1, d2;
    int   i1, i2, i, iz,ix;
    int ncnt;
    float ox,dx,z;
    float *picks;
    sep3d outfile; 
    initpar(argc,argv);
    // read t,x,y from source file
   
    // readin other parameters
    if (0==getch("n1","i", &n1)) n1=1000;
    if (0==getch("dx","f", &dx)) dx=1;
    if (0==getch("ox","f", &ox)) ox=0;
    if (0==getch("picks","s", &filename)) strcpy(filename,"./picks");
    fprintf(stderr,"n1=%d\n",n1);
    // allocate memories

    picks=(float*)malloc(n1*sizeof(float));

    for (i=0;i<n1;i++)
       picks[i]=1e5; 
    ncnt=0;
    FILE *fp=fopen(filename,"r");
    while(fscanf(fp,"%s",str1)!=EOF)
    {
       //fprintf(stderr,"test ");
       if (strcmp(str1,"red")==0)
       {
          ncnt++;
          fscanf(fp,"%s",strz);
          fscanf(fp,"%s",strx);
          z=atof(strz);
	  ix=(atof(strx)-ox)/dx;
	  fprintf(stderr,"strz=%s, strx=%s, z=%f,ix=%d\n",strz,strx,z,ix);
          picks[ix]=z;
       }
    }

    ndim=1;
    if(0!=init_sep3d_par(&outfile,"OUTPUT","FLOAT","REGULAR",ndim,0))
       seperr("unable to write outfile!\n");
    outfile.o[0]=0;
    outfile.d[0]=1;
    outfile.n[0]=n1;
    sep3d_set_sep3d(&outfile);
    if(0!=sep3dc_write_description("out",&outfile))
       seperr("unable to output parameters for out\n");

    if( (n1*4)!=srite("out",picks,4*n1) )
       seperr("trouble writing stdout \n");

    return 0;
}
