#!/bin/tcsh
#PBS -N 2de1311obj0n6
#PBS -l nodes=21:ppn=16
#PBS -q default
#PBS -V 
#PBS -e /data/sep/xukai/huo1/2dWI_simprefrac/teste1311obj0n6.err
#PBS -o /data/sep/xukai/huo1/2dWI_simprefrac/teste1311obj0n6.out
#
cd $PBS_O_WORKDIR
#
set D=/data/sep/xukai/data/test/2dWI_simprefrac
set D1=/data/sep/xukai/huo1/2dWI_simprefrac
set CBIN=/data/sep/xukai/Bin/c2
set str=we1311obj0n6
cat ${PBS_NODEFILE} | sort | uniq > hostfile1
set NPROCS=`wc -l hostfile1 | gawk '//{print $1}'`
echo ${NPROCS}
set OMP_NUM_THREADS=32
date
mpirun -machinefile ./hostfile1 -np ${NPROCS} ${CBIN}/XC3dWIMPIMain.x datasz=datszwi.H datin=rcd/r41ecd nxtape=50 nytape=1 nztape=50 vmin=600 vmax=4000 vout=${D}/newvel${str}.H resd=${D}/resd${str}.H vupd=${D}/vup${str}.H  newsrc=${D}/newsrc${str}.H needspline=0 niter=45 needprecond=0 dxspline=50 dzspline=50 vel=vel3s1.H jrdful=9 jtmv=1 objtype=0 src=srce7.H thresd=0.0000015 jnoderdful=1 rndbnd_type=2 j_rndbnd=5 alpha_mean=-0.03 alpha_sigma=0.05 alpha_maxV=0.0 sigma=600 rdfulpath=${D1}/rdful${str}-inode- gradfulpath=${D1}/gradful${str}-inode- sdep=esdep.H rdep=esdep.H mfsz=5 trloci=trlociwi.H srcloci=srclociwi.H jsrcstep=1 maxdv=40 istwodim=1 ghost=0 dwhtin=rcd/m3esk
date

